<template>
  <bh-filter-ui
    data-cid="{ BhTopicsFilterUi }"
    :options="topics"
    :selected="selected"
    panel-position="left"
    @changed="$emit('changed', $event)"
  >
    <template #icon>
      <svg-icon name="app/topics-filter" class="h-6 w-6" />
    </template>

    <template #option="{ option: topic, isSelected, isDisabled }">
      <bh-filter-option-ui
        :color="topic.color"
        :is-selected="isSelected"
        :is-disabled="isDisabled"
      >
        {{ topic.name }}
      </bh-filter-option-ui>
    </template>
  </bh-filter-ui>
</template>

<script>
export default {
  name: 'BhTopicsFilterUi',
  props: {
    topics: {
      type: Array,
      default: () => [],
    },
    selected: {
      type: Array,
      default: () => [],
    },
  },
};
</script>
